Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# TAO_Noop_Constraint Class Reference

A node that represents an operation with no operands. More...

`#include <Constraint_Nodes.h>`

Inheritance diagram for TAO_Noop_Constraint:

[legend]
Collaboration diagram for TAO_Noop_Constraint:

[legend]
List of all members.

## Public Methods
| TAO_Noop_Constraint (TAO_Expression_Type type)
virtual int | accept (TAO_Constraint_Visitor *visitor)
virtual TAO_Expression_Type | expr_type (void) const
| Return the expression type represented by this node.
## Private Attributes
TAO_Expression_Type | type_

## Detailed Description

A node that represents an operation with no operands.

## Constructor & Destructor Documentation

TAO_Noop_Constraint::TAO_Noop_Constraint | ( | TAO_Expression_Type | type | ) | `[inline]`

## Member Function Documentation

int TAO_Noop_Constraint::accept | ( | TAO_Constraint_Visitor * | visitor | ) | `[virtual]`

| Implementing the pattern of double dispatching, each subclass of TAO_Constraint will call back on an InterpreterVisitor the method to handle a node of its ExpressionType. Implements TAO_Constraint.

virtual TAO_Expression_Type TAO_Noop_Constraint::expr_type | ( | void |  | ) | const`[inline, virtual]`

| Return the expression type represented by this node. Implements TAO_Constraint.

## Member Data Documentation

TAO_Expression_Type TAO_Noop_Constraint::type_`[private]`

The documentation for this class was generated from the following files:

- Constraint_Nodes.h
- Constraint_Nodes.cpp